#pragma once

#ifndef QTWIDGETSCLASS_STRIP_H
#define QTWIDGETSCLASS_STRIP_H

#include "AllHead.h"
#include <QWidget>
#include "ui_QtWidgetsClass_Strip.h"

class QtWidgetsClass_Strip : public QWidget, public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT

public slots:
	void FEKOSimulationDataparamsChanged_slots();
public:
	void bandingsetFEKOSimulationDataparams() override;

public:
	QtWidgetsClass_Strip(QWidget *parent = nullptr);
	~QtWidgetsClass_Strip();
signals:
	void OKClick();

public slots:
	void on_pushButton_OK_clicked();

private:
	Ui::QtWidgetsClass_StripClass ui;
};



#endif